aboutsummaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 371172140..63467a5db 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -22,6 +22,47 @@ CONFIGURE=configure.ac
DIE=0
+# check if gtk-doc is explicitely disabled
+for ag_option in $AUTOGEN_CONFIGURE_ARGS $@
+do
+ case $ag_option in
+ -disable-gtk-doc | --disable-gtk-doc)
+ enable_gtk_doc=no
+ ;;
+ esac
+done
+
+if test x$enable_gtk_doc = xno; then
+ echo "skipping test for gtkdocize"
+else
+ echo -n "checking for gtkdocize ... "
+ if (gtkdocize --version) < /dev/null > /dev/null 2>&1; then
+ echo "yes"
+ else
+ echo
+ echo " You must have gtk-doc installed to compile $PROJECT."
+ echo " Install the appropriate package for your distribution,"
+ echo " or get the source tarball at"
+ echo " http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/"
+ echo " You can also use the option --disable-gtk-doc to skip"
+ echo " this test but then you will not be able to generate a"
+ echo " configure script that can build the API documentation."
+ DIE=1
+ fi
+fi
+
+if test x$enable_gtk_doc = xno; then
+ if test -f gtk-doc.make; then :; else
+ echo "EXTRA_DIST = missing-gtk-doc" > gtk-doc.make
+ fi
+ echo "WARNING: You have disabled gtk-doc."
+ echo " As a result, you will not be able to generate the API"
+ echo " documentation and 'make dist' will not work."
+ echo
+else
+ gtkdocize || exit $?
+fi
+
($AUTOCONF --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have autoconf installed to compile $PROJECT."